package com.xunhong.erp.turbo.api.user.api;


import com.xunhong.erp.turbo.api.facade.dto.qry.WxMaOpenidQry;
import com.xunhong.erp.turbo.api.user.dto.cmd.OpenSafeCmd;
import com.xunhong.erp.turbo.api.user.dto.cmd.UpdatePasswordCmd;
import com.xunhong.erp.turbo.api.user.dto.qry.PasswordLoginQry;
import com.xunhong.erp.turbo.api.user.dto.qry.UserAuthShowQry;
import com.xunhong.erp.turbo.api.user.dto.vo.UserAuthVO;

public interface UserAuthServiceI {

	UserAuthVO passwordLogin(PasswordLoginQry passwordLoginQry);

	UserAuthVO wxMaCodeLogin(WxMaOpenidQry wxMaOpenidQry);

	void openSafe(OpenSafeCmd openSafeCmd);

	void updatePassword(UpdatePasswordCmd updatePasswordCmd);

	UserAuthVO show(UserAuthShowQry userAuthShowQry);
}
